Name:          simple-xml
Version:       2.6.1
Release:       %mkrel 1
Summary:       Simple is a high performance XML serialization and configuration framework for Java™
Group:         Development/Java
License:       LGPL
Url:           http://simple.sourceforge.net/
Source0:       http://sourceforge.net/projects/simple/files/simple-xml-%{version}.tar.gz
Source1:       http://repo1.maven.org/maven2/org/simpleframework/simple-xml/%{version}/simple-xml-%{version}.pom
Patch0:        simple-xml-2.6.1-build.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: bea-stax
BuildRequires: bea-stax-api
BuildRequires: junit
BuildRequires: wstx
BuildRequires: xpp3

Requires:      bea-stax
Requires:      xpp3

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Simple is an XML serialization framework for Java™. Its goal is to provide an XML framework that
enables rapid development of XML configuration and communication systems. This framework
aids the development of XML systems with minimal effort and reduced errors. The framework
borrows ideas and concepts from existing XML tools such as C# XML serialization and other
proprietary frameworks, and combines those ideas resulting in a simple yet extremely powerful
tool for using and manipulating XML.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

find -name "*.jar" -exec rm -f {} \;
find -name "*.class" -exec rm -f {} \;
rm -rf javadoc/*
%patch0 -p1

%build

%ant build javadoc test

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 0644 jar/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 0644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Thu Nov 10 2011 gil <gil> 2.6.1-1.mga2
+ Revision: 166189
- imported package simple-xml

